package com.dayou.dyoa;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.dto.history.HisAssetsOrder;
import com.dayou.dto.history.HisMajorOrder;
import com.dayou.dto.history.HisOrderParam;

import java.util.Map;

public interface IDyoaHistoryService {


    Page<HisMajorOrder> hisMajorPage(HisOrderParam param);

    String getEverCookie();

    Map<String,Object> queryMajorOrder(String majorId);

    Boolean fetchAboutMajor(String id);

    /**
     * 获取老系统资产订单
     * @param param 老系统查询参数
     * @return Page<HisAssetsOrder>
     */
    Page<HisAssetsOrder> hisAssetsPage(HisOrderParam param);
}
